{ config, pkgs, ... }:

{
  programs.steam = {
    enable = true;
    remotePlay.openFirewall = true;
    localNetworkGameTransfers.openFirewall = true;
    package = pkgs.steam.override {
      extraEnv = {
        MANGOHUD = "1";
        WINE_VK_VULKAN_ONLY = "1";
      };
    };
  };

  environment.systemPackages = [
    pkgs.mangohud
  ];
}
